---
layout: mockup
title: "Lockscreen"
theme: Adwaita/Adwaita.css
permalink: settings/background/lockscreen/
wallpaper: adwaita
---

<!-- css -->
<link rel="stylesheet" type="text/css" href="{{ site.baseurl }}/css/Adwaita/apps/settings.css">

{%- include widgets/_panel.html -%}

<!-- Window -->
<div class="window medium">
	<!-- Titlebar -->
	<div class="titlebar paned">
		<div class="button-group pane float-left">
			<a class="button image-button secondaryButton" href="{{ site.baseurl }}/settings/">{%- include symbolic/actions/go-previous-symbolic.svg -%}</a>
			<a class="button image-button primaryButton">{%- include symbolic/actions/edit-find-symbolic.svg -%}</a>
			<span class="title">Settings</span>
		</div>
		<div class="button-group float-center">
			<div class="linked stack-switcher">
				<a class="button text-button left" href="{{ site.baseurl }}/settings/background">Desktop</a><a class="button text-button pressed right">Lock Screen</a>
			</div>
		</div>
		<div class="button-group float-right">
			{%- include components/close-button.html close = "window" -%}
		</div>
	</div>
	<!-- Content -->
	<div class="content">
		{%- include widgets/_settings-sidebar.html -%}
		<!-- View -->
		<div class="view">
			<div class="infobar info hidden">
				<p>Set selected wallpaper as lockscreen background</p>
				<a class="button text-button float-right" id="applyBackgroundImage" onclick="" href="#">Apply</a>
			</div>
			<div class="row">
				<div class="backgroundPreview">
					<div id="backgroundPreviewImage" class="backgroundPreviewLockscreen triangles">
						<span class="bold-label"><script> document.write(new Date().toLocaleTimeString('en-US', { hour12: true, hour: "numeric",minute: "numeric"})); </script></span>
					</div>
				</div>
			</div>
			<div class="row wide">
				<ul class="listrow">
					<li>
						<label>Use Desktop Background</label>
						{%- include components/switch.html float = "right" checked = "checked" id = "backgroundSameAsLockscreenSwitch" onclick = "$('#backgroundPreviewGrid').toggleClass('insensitive');$('#backgroundFitPopover').toggleClass('insensitive');" -%}
					</li>
					<!-- <li id="backgroundFitPopover" class="insensitive">
						<label>Background Fit</label>
						<div class="icon s16 float-right">{%- include symbolic/actions/dropdown-symbolic.svg -%}</div>
						<label class="float-right" id="backgroundFitStatus">Fill</label>
					</li> -->
				</ul>
				<h5>Choose a New Background</h5>
				<ul id="backgroundPreviewGrid" class="listrow scrollbox insensitive">
					<li class="backgroundPreviewGridImage stripes" onclick="changeBackgroundImage('stripes');">
					</li><li class="backgroundPreviewGridImage adwaita" onclick="changeBackgroundImage('adwaita');">
					</li><li class="backgroundPreviewGridImage flowerbed" onclick="changeBackgroundImage('flowerbed');">
					</li><li class="backgroundPreviewGridImage triangles" onclick="changeBackgroundImage('triangles');">
					</li><li class="backgroundPreviewGridImage road" onclick="changeBackgroundImage('road');">
					</li><li class="backgroundPreviewGridImage coldwarm" onclick="changeBackgroundImage('coldwarm');">
					</li><li class="backgroundPreviewGridImage darkivy" onclick="changeBackgroundImage('darkivy');">
					</li><li class="backgroundPreviewGridImage fabric" onclick="changeBackgroundImage('fabric');">
					</li><li class="backgroundPreviewGridImage icescape" onclick="changeBackgroundImage('icescape');">
					</li><li class="backgroundPreviewGridImage raindrops" onclick="changeBackgroundImage('raindrops');">
					</li><li class="backgroundPreviewGridImage wood" onclick="changeBackgroundImage('wood');">
					</li><li class="backgroundPreviewGridImage backgroundPreviewGridAddImage">{%- include symbolic/actions/list-add-symbolic.svg -%}
					</li>
				</ul>
			</div>
		</div>
	</div>
</div>

<!-- js -->
<script type="text/javascript">
// highlight sidebar
$(document).ready(function() {$('#settingsSidebar a:nth-of-type(4) li').addClass("active");});


// change background
function changeBackgroundImage(wallpaper) {
	$('.infobar').removeClass('hidden');
	$('#backgroundPreviewImage').attr('class', 'backgroundPreviewLockscreen').addClass(wallpaper);
	var bodyClass = "$('.infobar').addClass('hidden');";
	$('#applyBackgroundImage').attr('onclick', bodyClass);
}



// fill popover use &apos; to quote escape
$(document).ready(function() {
	var label = "";
	var popoverContent = ['<ul>',
			'<li onclick="backgroundTypeOption($(this).text());$(&apos;#backgroundImages&apos;).removeClass(&apos;hidden&apos;);$(&apos;#backgroundColors&apos;).addClass(&apos;hidden&apos;);">Image</li>',
			'<li onclick="backgroundTypeOption($(this).text());$(&apos;#backgroundColors&apos;).removeClass(&apos;hidden&apos;);$(&apos;#backgroundImages&apos;).addClass(&apos;hidden&apos;);">Color</li>',
			'<li onclick="backgroundTypeOption($(this).text());">Slideshow</li>',
		'</ul>'].join('');

	$('#backgroundTypePopover').popover({
		trigger: 'click',
		content: popoverContent,
		placement: "bottom",
		html: true
	});
});

function backgroundTypeOption() {
	$('#backgroundTypeStatus').text(arguments[0]);
	$("#backgroundTypePopover").popover("hide");
}

// fill popover use &apos; to quote escape
$(document).ready(function() {
	var label = "";
	var popoverContent = ['<ul>',
			'<li onclick="backgroundFitOption($(this).text());">Fill</li>',
			'<li onclick="backgroundFitOption($(this).text());">Fit</li>',
			'<li onclick="backgroundFitOption($(this).text());">Stretch</li>',
			'<li onclick="backgroundFitOption($(this).text());">Tile</li>',
			'<li onclick="backgroundFitOption($(this).text());">Center</li>',
			'<li onclick="backgroundFitOption($(this).text());">Span</li>',
		'</ul>'].join('');

	$('#backgroundFitPopover').popover({
		trigger: 'click',
		content: popoverContent,
		placement: "bottom",
		html: true
	});
});

function backgroundFitOption() {
	$('#backgroundFitStatus').text(arguments[0]);
	$("#backgroundFitPopover").popover("hide");
}
</script>